Developer Docs

Table of contents

Method: GET 

Endpoint: /api/campaign 

Description: The method provides a list of RCS campaigns with detailed information about each of them. The maximum period for selecting campaigns is 3 months.

Query string parameters  

Parameter Mandatory Type Description. 
filter[type] No string Filter by campaign type. Valid values:  sms – to receive SMS campaigns  rcs – to receive RCS campaigns  If no value is specified, the default is “sms”. 
filter[from] No string Date and time of the start of the election (by the date of the campaign creation) in the format: yyyy-mm-dd hh:mm:ss. By default: filter[to] -3 month 
filter[to] No string The date and time of the end of the election (by the date of the campaign creation) in the format: yyyy-mm-dd hh:mm:ss. The default is the current date and time. 
page[offset] No int Get campaigns starting from offset. The default is 0. 
page[limit] No int The number of campaigns in the response. The default is 50. 
sort No string Sort by id, sender, type, date, status  By default, sort by id 
way No string Sorting options: asc, desc.  The default is asc .  
filter[field] No string Search field by sender, taskname (campaign id) 
filter[value] No string Search values. 

Answer elements

Parameter Type Description. 
id integer Campaign ID. 
name string The name of the campaign. Example: “RCS api campaign / {yyyyy-mm-dd hh:mm:ss}”, where yyyy-mm-dd hh:mm:ss is the date and time of the campaign creation. 
sender string Name of the agent. 
status string The current status of the campaign. Possible values:  creation – the campaign has been created; spam – the campaign has not been moderated; scheduled – the campaign is scheduled; sending – the campaign has started sending messages; paused – the campaign is paused (no messages are sent); stopped – the campaign is stopped (final status); done – the campaign is complete (final status). 
message_type string Type of messages in the campaign. Possible values: sms, rcs 
start_at string Campaign start date and time in the format: yyyy-mm-dd hh:mm:ss 
real_start_at string Actual date and time of the campaign start in the format: yyyy- mm- dd hh:mm:ss 
finished_at string Campaign end date in the format: yyyy-mm-dd hh:mm:ss 
created_at string Date and time of campaign creation in the format: yyyy-mm-dd hh:mm:ss. 
statistics object An array of campaign statistics objects. 
statistics[]delivered integer The total number of messages delivered to end users as part of a status campaign: DELIVERED READ 
statistics[]sent integer Total number of messages sent as part of the campaign in statuses: DELIVERED SENT ACCEPTED SENDING UNDELIVERED FAILED EXPIRED UNKNOWN 
calculated_price float Preliminary cost of the campaign. 
alternative_channels object An object containing information on messages  campaigns that were sent via an alternative channel. 
alternative_channels[]sms object The object specifies the channel for alternative message sending within the campaign. 
alternative_channels[]sms[]sta tistics object An object of statistics of messages sent via an alternative channel. 
alternative_channels[]sms[]sta tistics[]sent integer Total number of messages sent as part of the campaign in statuses: DELIVERED SENT ACCEPTED SENDING UNDELIVERED FAILED EXPIRED UNKNOWN 
alternative_channels[]sms[]sta tistics[]delivered integer Total number of messages delivered as part of the campaign in statuses: DELIVERED READ 
page object The object of pagination 
page[]total integer Total number of campaigns that meet the election conditions 
page[]offset integer Campaigns are listed starting from offset 
page[]limit integer The number of campaigns returned per request in the response. 

Example of a query

curl -X GET "https://api.example.com/campaigns?page[offset]=88&page[limit]=500&sort=id&way=desc&filter[from]=2024
-H "Authorization: Bearer <your_token>" \
-H "Content-Type: application/json"

An example of an answer

If the request is successfully executed:

{
   "data":[
      {
         "id":1,
         "name":"string",
         "sender":"string",
         "status":"creation",
         "message_type":"rcs",
         "start_at":"2021-04-27 19:44:06",
         "real_start_at":"2021-04-27 19:44:06",
         "finished_at":"2021-04-27 19:44:06",
         "created_at":"2021-04-27 19:44:06",
         "statistics":{
            "delivered":0,
            "sent":0
         },
         "calculated_price":123.4,
         "alternative_channels":{
            "sms":{
               "statistic":{
                  "delivered":0,
                  "sent":0
               }
            }
         }
      }
   ],
   "meta":{
      "page":{
         "total":1,
         "limit":30,
         "offset":0
      }
   }
}